: Class Boundary

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## roast
Class Boundary

    java.lang.Object
      |
      +--roast.Boundary

public class Boundary
extends java.lang.Object

Constructor Summary
`Boundary()`

Method Summary
`static java.util.Vector` | `cp(java.util.Vector domainVector)`
`static void` | `cp(java.util.Vector domainVector, ProcessTuple p)`
`static java.util.Vector` | `extend(java.util.Vector tv0, DependentDomain d)`
`static java.util.Vector` | `kBdy(int k, java.util.Vector domainVector)`
`static void` | `kBdy(int k, java.util.Vector domainVector, ProcessTuple p)`
`static java.util.Vector` | `kPer(int k, java.util.Vector domainVector)`
`static void` | `kPer(int k, java.util.Vector domainVector, ProcessTuple p)`
`static java.util.Vector` | `kStarBdy(int k, java.util.Vector domainVector)`
`static void` | `kStarBdy(int k, java.util.Vector domainVector, ProcessTuple p)`
`static java.util.Vector` | `kStarPer(int k, java.util.Vector domainVector)`
`static void` | `kStarPer(int k, java.util.Vector domainVector, ProcessTuple p)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Boundary

    public Boundary()

Method Detail

### cp

    public static java.util.Vector cp(java.util.Vector domainVector)

### cp

    public static void cp(java.util.Vector domainVector,
                          ProcessTuple p)

### extend

    public static java.util.Vector extend(java.util.Vector tv0,
                                          DependentDomain d)

### kBdy

    public static java.util.Vector kBdy(int k,
                                        java.util.Vector domainVector)

### kBdy

    public static void kBdy(int k,
                            java.util.Vector domainVector,
                            ProcessTuple p)

### kStarBdy

    public static java.util.Vector kStarBdy(int k,
                                            java.util.Vector domainVector)

### kStarBdy

    public static void kStarBdy(int k,
                                java.util.Vector domainVector,
                                ProcessTuple p)

### kPer

    public static java.util.Vector kPer(int k,
                                        java.util.Vector domainVector)

### kPer

    public static void kPer(int k,
                            java.util.Vector domainVector,
                            ProcessTuple p)

### kStarPer

    public static java.util.Vector kStarPer(int k,
                                            java.util.Vector domainVector)

### kStarPer

    public static void kStarPer(int k,
                                java.util.Vector domainVector,
                                ProcessTuple p)

Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD